/*******************************************************************************
Copyright © 2023 Sebastian Roith

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Beim Programmieren der Klasse <code>NOTIZZETTEL</code> wurden einige offensichtliche Fehler begangen. Mache dir klar, wieso und berichtige diese Fehler, ohne dabei mehr als nötig zu ändern. Konkret:</p><ol><li><p>Die Sichtbarkeit des Attributs <code>notiz</code> ergibt aber gar keinen Sinn, oder?<p></li><li><p>Wieso sollte der Rückgabewert des Getters <code>int</code> sein?!<p></li><li><p>Braucht der Setter wirklich keinen Parameter?!<p></li></ol>",
	"code": "class NOTIZZETTEL {\n    public String notiz;\n    \n    public int getNotiz() {\n        return this.notiz;\n    }\n    \n    public void setNotiz() {\n        this.notiz = neuerText;\n    }\n}",
	"canReset": true,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"visibility": 2,
			"part": "class",
			"name": "NOTIZZETTEL",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "notiz",
					"type": "String",
					"dimensions": 0,
					"static": false,
					"visibility": 0
				},
				{
					"part": "method",
					"name": "setNotiz",
					"type": "void",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"type": "String",
							"dimensions": 0
						}
					],
					"visibility": 3,
					"content": "@this.notiz = @1;"
				},
				{
					"part": "method",
					"name": "getNotiz",
					"type": "String",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [],
					"visibility": 3,
					"content": " return this.notiz;"
				}
			]
		}
	]
}
